Lasso 8.6 and Yosemite

classic Classic list List threaded Threaded
13 messages Options
Reply | Threaded
Open this post in threaded view
|

Lasso 8.6 and Yosemite

Mark Palmer
Hi List,

Is there any information on getting Lasso 8.6 running on Yosemite?

Regards

Mark Palmer
E: [hidden email]
T: 01902 620500 and 01285 610035
W: www.pageworks.co.uk

#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6 and Yosemite

Jolle Carlestam-2
24 okt 2014 kl. 09:55 skrev Mark Palmer <[hidden email]>:

> Is there any information on getting Lasso 8.6 running on Yosemite?

Last I heard was that Eric Knibbe was working on it. Have not seen any official commitment from Lassosoft though.

HDB
Jolle

#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6 and Yosemite

Brad Lindsay
In reply to this post by Mark Palmer
There's nothing official, but I detail how to get the Apache connector
to compile on Yosemite here:

http://www.lassotalk.com/Lasso-8-6-3-compiled-for-Apache-2-4-on-Yosemite.lasso?276184

Brad

On 10/24/14, 3:55 AM, Mark Palmer wrote:

> Hi List,
>
> Is there any information on getting Lasso 8.6 running on Yosemite?
>
> Regards
>
> Mark Palmer
> E: [hidden email]
> T: 01902 620500 and 01285 610035
> W: www.pageworks.co.uk
>
> #############################################################
>
> This message is sent to you because you are subscribed to
>    the mailing list Lasso [hidden email]
> Official list archives available at http://www.lassotalk.com
> To unsubscribe, E-mail to:<[hidden email]>
> Send administrative queries to<[hidden email]>

#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6 and Yosemite

jasonhuck
- Install Xcode 6.1 and Command Line Tools (OS X 10.10) For Xcode 6.1 from the App Store or the Apple Developer portal (login required, but free). You need those to compile the connector.

- Install the latest version of XQuartz (for the image tags):
http://xquartz.macosforge.org/landing/

- Install Java 6:
http://support.apple.com/kb/DL1572

- Recompile the Apache Connector. In addition to the changes Brad mentioned, I updated the path to the SDK (it's now inside the Xcode app: /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk). Copy the connector into /usr/libexec/apache2.

- Start MySQL (it will be stopped after the Yosemite upgrade, but all you have to do is turn it back on in System Preferences).

- Update your Apache configuration in /etc/apache2. The installer will have backed up your previous configuration, and you may need to put a few things back manually, including the Lasso 8 configuration.

- Start/restart Lasso and Apache as you normally would.

You should be good to go. If not, start Lasso in console mode and watch for errors, and check your Apache error logs.


Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6 and Yosemite

Steffan A. Cline
Welcome back, Jason!!!



Thanks,
Steffan

---------------------------------------------------------------
T E L  6 0 2 . 7 9 3 . 0 0 1 4 | F A X  6 0 2 . 9 7 1 . 1 6 9 4
Steffan A. Cline   [hidden email]
http://www.ExecuChoice.net                 Phoenix, Arizona USA
                 
---------------------------------------------------------------






On 10/24/14, 7:13 AM, "jasonhuck" <[hidden email]> wrote:

>- Install Xcode 6.1 and Command Line Tools (OS X 10.10) For Xcode 6.1 from
>the App Store or the Apple Developer portal (login required, but free).
>You
>need those to compile the connector.
>
>- Install the latest version of XQuartz (for the image tags):
>http://xquartz.macosforge.org/landing/
>
>- Install Java 6:
>http://support.apple.com/kb/DL1572
>
>- Recompile the Apache Connector. In addition to the changes Brad
>mentioned,
>I updated the path to the SDK (it's now inside the Xcode app:
>/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Devel
>oper/SDKs/MacOSX10.10.sdk).
>Copy the connector into /usr/libexec/apache2.
>
>- Start MySQL (it will be stopped after the Yosemite upgrade, but all you
>have to do is turn it back on in System Preferences).
>
>- Update your Apache configuration in /etc/apache2. The installer will
>have
>backed up your previous configuration, and you may need to put a few
>things
>back manually, including the Lasso 8 configuration.
>
>- Start/restart Lasso and Apache as you normally would.
>
>You should be good to go. If not, start Lasso in console mode and watch
>for
>errors, and check your Apache error logs.
>
>
>
>
>
>
>--
>View this message in context:
>http://lasso.2283332.n4.nabble.com/Lasso-8-6-and-Yosemite-tp4642445p464244
>9.html
>Sent from the Lasso - Talk mailing list archive at Nabble.com.
>
>#############################################################
>
>This message is sent to you because you are subscribed to
>  the mailing list Lasso [hidden email]
>Official list archives available at http://www.lassotalk.com
>To unsubscribe, E-mail to: <[hidden email]>
>Send administrative queries to  <[hidden email]>
>



#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6 and Yosemite

maxwellk2
In reply to this post by Mark Palmer
Can confirm posts from Brad and Jason helped me get Lasso working again under Yosemite’s Apache 2.4. Thanks for the info guys.

-Max


> On Oct 24, 2014, at 12:55 AM, Mark Palmer <[hidden email]> wrote:
>
> Hi List,
>
> Is there any information on getting Lasso 8.6 running on Yosemite?
>
> Regards
>
> Mark Palmer
> E: [hidden email]
> T: 01902 620500 and 01285 610035
> W: www.pageworks.co.uk
>
> #############################################################
>
> This message is sent to you because you are subscribed to
>  the mailing list Lasso [hidden email]
> Official list archives available at http://www.lassotalk.com
> To unsubscribe, E-mail to: <[hidden email]>
> Send administrative queries to  <[hidden email]>


#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6 and Yosemite

Mark Palmer
In reply to this post by jasonhuck
Hi Jason,

Thanks for that! I'll take a look over the weekend.

Regards

Mark Palmer

On 24 Oct 2014, at 15:13, jasonhuck wrote:

> - Install Xcode 6.1 and Command Line Tools (OS X 10.10) For Xcode 6.1
> from
> the App Store or the Apple Developer portal (login required, but
> free). You
> need those to compile the connector.
>
> - Install the latest version of XQuartz (for the image tags):
> http://xquartz.macosforge.org/landing/
>
> - Install Java 6:
> http://support.apple.com/kb/DL1572
>
> - Recompile the Apache Connector. In addition to the changes Brad
> mentioned,
> I updated the path to the SDK (it's now inside the Xcode app:
> /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk).
> Copy the connector into /usr/libexec/apache2.
>
> - Start MySQL (it will be stopped after the Yosemite upgrade, but all
> you
> have to do is turn it back on in System Preferences).
>
> - Update your Apache configuration in /etc/apache2. The installer will
> have
> backed up your previous configuration, and you may need to put a few
> things
> back manually, including the Lasso 8 configuration.
>
> - Start/restart Lasso and Apache as you normally would.
>
> You should be good to go. If not, start Lasso in console mode and
> watch for
> errors, and check your Apache error logs.
>
>
>
>
>
>
> --
> View this message in context:
> http://lasso.2283332.n4.nabble.com/Lasso-8-6-and-Yosemite-tp4642445p4642449.html
> Sent from the Lasso - Talk mailing list archive at Nabble.com.
>
> #############################################################
>
> This message is sent to you because you are subscribed to
> the mailing list Lasso [hidden email]
> Official list archives available at http://www.lassotalk.com
> To unsubscribe, E-mail to: <[hidden email]>
> Send administrative queries to  <[hidden email]>

#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6 and Yosemite

Lee Glickenhaus-2
I’ve been getting an error when I try to compile the connector for 2.4

Would anyone who has succeeded be willing to post a link to the updated connector?

I’d love to get Yosemite running on my development box but Lasso is the sticking point.

TIA


On Oct 24, 2014, at 1:47 PM, Mark Palmer <[hidden email]> wrote:

> Hi Jason,
>
> Thanks for that! I'll take a look over the weekend.
>
> Regards
>
> Mark Palmer
>
> On 24 Oct 2014, at 15:13, jasonhuck wrote:
>
>> - Install Xcode 6.1 and Command Line Tools (OS X 10.10) For Xcode 6.1 from
>> the App Store or the Apple Developer portal (login required, but free). You
>> need those to compile the connector.
>>
>> - Install the latest version of XQuartz (for the image tags):
>> http://xquartz.macosforge.org/landing/
>>
>> - Install Java 6:
>> http://support.apple.com/kb/DL1572
>>
>> - Recompile the Apache Connector. In addition to the changes Brad mentioned,
>> I updated the path to the SDK (it's now inside the Xcode app:
>> /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk).
>> Copy the connector into /usr/libexec/apache2.
>>
>> - Start MySQL (it will be stopped after the Yosemite upgrade, but all you
>> have to do is turn it back on in System Preferences).
>>
>> - Update your Apache configuration in /etc/apache2. The installer will have
>> backed up your previous configuration, and you may need to put a few things
>> back manually, including the Lasso 8 configuration.
>>
>> - Start/restart Lasso and Apache as you normally would.
>>
>> You should be good to go. If not, start Lasso in console mode and watch for
>> errors, and check your Apache error logs.
>>
>>
>>
>>
>>
>>
>> --
>> View this message in context: http://lasso.2283332.n4.nabble.com/Lasso-8-6-and-Yosemite-tp4642445p4642449.html
>> Sent from the Lasso - Talk mailing list archive at Nabble.com.
>>
>> #############################################################
>>
>> This message is sent to you because you are subscribed to
>> the mailing list Lasso [hidden email]
>> Official list archives available at http://www.lassotalk.com
>> To unsubscribe, E-mail to: <[hidden email]>
>> Send administrative queries to  <[hidden email]>
>
> #############################################################
>
> This message is sent to you because you are subscribed to
> the mailing list Lasso [hidden email]
> Official list archives available at http://www.lassotalk.com
> To unsubscribe, E-mail to: <[hidden email]>
> Send administrative queries to  <[hidden email]>
>


#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6 and Yosemite

Mark Palmer
In reply to this post by jasonhuck
I seem to have the connector created OK and apache will start, however
Lasso won't start (with or without the connector)

If try start via the console I get:

mark$ sudo ./consoleLassoService.command

Starting Lasso 8.6 Service in console mode.

Use Control-C or close the terminal window to close Lasso8Service.
sudo: unknown user: lasso
mark$

Anyone else see this? Did you guys re-install Lasso after the update to
Yosemite?

Regards

Mark Palmer
E: [hidden email]
T: 01902 620500 and 01285 610035
W: www.pageworks.co.uk
On 24 Oct 2014, at 15:13, jasonhuck wrote:

> - Install Xcode 6.1 and Command Line Tools (OS X 10.10) For Xcode 6.1
> from
> the App Store or the Apple Developer portal (login required, but
> free). You
> need those to compile the connector.
>
> - Install the latest version of XQuartz (for the image tags):
> http://xquartz.macosforge.org/landing/
>
> - Install Java 6:
> http://support.apple.com/kb/DL1572
>
> - Recompile the Apache Connector. In addition to the changes Brad
> mentioned,
> I updated the path to the SDK (it's now inside the Xcode app:
> /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk).
> Copy the connector into /usr/libexec/apache2.
>
> - Start MySQL (it will be stopped after the Yosemite upgrade, but all
> you
> have to do is turn it back on in System Preferences).
>
> - Update your Apache configuration in /etc/apache2. The installer will
> have
> backed up your previous configuration, and you may need to put a few
> things
> back manually, including the Lasso 8 configuration.
>
> - Start/restart Lasso and Apache as you normally would.
>
> You should be good to go. If not, start Lasso in console mode and
> watch for
> errors, and check your Apache error logs.
>
>
>
>
>
>
> --
> View this message in context:
> http://lasso.2283332.n4.nabble.com/Lasso-8-6-and-Yosemite-tp4642445p4642449.html
> Sent from the Lasso - Talk mailing list archive at Nabble.com.
>
> #############################################################
>
> This message is sent to you because you are subscribed to
> the mailing list Lasso [hidden email]
> Official list archives available at http://www.lassotalk.com
> To unsubscribe, E-mail to: <[hidden email]>
> Send administrative queries to  <[hidden email]>

#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6 and Yosemite

Jolle Carlestam-2
5 nov 2014 kl. 10:07 skrev Mark Palmer <[hidden email]>:

> Anyone else see this? Did you guys re-install Lasso after the update to
> Yosemite?

This is always a sound procedure. After any major update to your system, reinstall Lasso.

HDB
Jolle

#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6 and Yosemite

Steffan A. Cline
Did you remember to change the apache config to use the module 2.4 rather
than 2.2?

LoadModule lasso8_module libexec/apache2/Lasso8ConnectorforApache2.2.so


To

LoadModule lasso8_module libexec/apache2/Lasso8ConnectorforApache2.4.so



Thanks,
Steffan

---------------------------------------------------------------
T E L  6 0 2 . 7 9 3 . 0 0 1 4 | F A X  6 0 2 . 9 7 1 . 1 6 9 4
Steffan A. Cline   [hidden email]
http://www.ExecuChoice.net                 Phoenix, Arizona USA
                 
---------------------------------------------------------------






On 11/5/14, 2:09 AM, "Jolle Carlestam" <[hidden email]> wrote:

>5 nov 2014 kl. 10:07 skrev Mark Palmer <[hidden email]>:
>
>> Anyone else see this? Did you guys re-install Lasso after the update to
>> Yosemite?
>
>This is always a sound procedure. After any major update to your system,
>reinstall Lasso.
>
>HDB
>Jolle
>
>#############################################################
>
>This message is sent to you because you are subscribed to
>  the mailing list Lasso [hidden email]
>Official list archives available at http://www.lassotalk.com
>To unsubscribe, E-mail to: <[hidden email]>
>Send administrative queries to  <[hidden email]>
>



#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6 and Yosemite

Mark Palmer
In reply to this post by Jolle Carlestam-2
I got Lasso working with Yosemite using Jason's instructions.

I had to re-install Lasso as it seems there was no longer a lasso user
on my system and it wouldn't boot. Maybe it would have worked by just
creating a new lasso user, didn't try that - just re-installed.

I also had to uncomment rewrite_module and expires_module in httpd.conf
and of course as Stefan pointed out you need to change

Lasso8ConnectorforApache2.2.so to Lasso8ConnectorforApache2.4.so in
lasso8.conf

MySQL wouldn't restart for me using the System Pref Pane so I followed
instructions here -
http://stackoverflow.com/questions/25954230/mysql-does-not-start-in-osx-yosemite-10-10

Also found some handy information here -
http://coolestguidesontheplanet.com/get-apache-mysql-php-phpmyadmin-working-osx-10-10-yosemite/


Regards

Mark Palmer
E: [hidden email]
T: 01902 620500 and 01285 610035
W: www.pageworks.co.uk
On 5 Nov 2014, at 9:09, Jolle Carlestam wrote:

> 5 nov 2014 kl. 10:07 skrev Mark Palmer <[hidden email]>:
>
>> Anyone else see this? Did you guys re-install Lasso after the update
>> to
>> Yosemite?
>
> This is always a sound procedure. After any major update to your
> system, reinstall Lasso.
>
> HDB
> Jolle
>
> #############################################################
>
> This message is sent to you because you are subscribed to
> the mailing list Lasso [hidden email]
> Official list archives available at http://www.lassotalk.com
> To unsubscribe, E-mail to: <[hidden email]>
> Send administrative queries to  <[hidden email]>

#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6 and Yosemite

Peter D Bethke
Thats a really logical yet mildly concerning bit of intel. I find myself wondering if the Yosemite upgrade removes users from the system.

Unless your update to Yosemite is of the nuke-and-pave variety, the upgrade really has no business removing users, regardless if they are not top-tier users.

Peter

On Nov 6, 2014, at 4:21 AM, Mark Palmer <[hidden email]> wrote:

> I got Lasso working with Yosemite using Jason's instructions.
>
> I had to re-install Lasso as it seems there was no longer a lasso user on my system and it wouldn't boot. Maybe it would have worked by just creating a new lasso user, didn't try that - just re-installed.
>
> I also had to uncomment rewrite_module and expires_module in httpd.conf and of course as Stefan pointed out you need to change
>
> Lasso8ConnectorforApache2.2.so to Lasso8ConnectorforApache2.4.so in lasso8.conf
>
> MySQL wouldn't restart for me using the System Pref Pane so I followed instructions here - http://stackoverflow.com/questions/25954230/mysql-does-not-start-in-osx-yosemite-10-10
>
> Also found some handy information here - http://coolestguidesontheplanet.com/get-apache-mysql-php-phpmyadmin-working-osx-10-10-yosemite/
>
>
> Regards
>
> Mark Palmer
> E: [hidden email]
> T: 01902 620500 and 01285 610035
> W: www.pageworks.co.uk
> On 5 Nov 2014, at 9:09, Jolle Carlestam wrote:
>
>> 5 nov 2014 kl. 10:07 skrev Mark Palmer <[hidden email]>:
>>
>>> Anyone else see this? Did you guys re-install Lasso after the update to
>>> Yosemite?
>>
>> This is always a sound procedure. After any major update to your system, reinstall Lasso.
>>
>> HDB
>> Jolle
>>
>> #############################################################
>>
>> This message is sent to you because you are subscribed to
>> the mailing list Lasso [hidden email]
>> Official list archives available at http://www.lassotalk.com
>> To unsubscribe, E-mail to: <[hidden email]>
>> Send administrative queries to  <[hidden email]>
>
> #############################################################
>
> This message is sent to you because you are subscribed to
> the mailing list Lasso [hidden email]
> Official list archives available at http://www.lassotalk.com
> To unsubscribe, E-mail to: <[hidden email]>
> Send administrative queries to  <[hidden email]>


#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>